/*
 * ios1.h - level 1 I/O interface file
 *
 * Started 28/8/89 Alex G. Kiernan, based on Lattice source.
 *
 * Copyright (c) 1989 HiSoft and Lattice, Inc.
 */
 
#ifndef _IOS1_H
#define _IOS1_H

/*
 * The following structure is a UNIX file block that retains information
 * about a file being accessed via the level 1 I/O functions.
 */
struct UFB
{
	short ufbflg;		/* flags */
	short ufbfh;		/* file handle */
};
#define NUFBS 40	/* number of UFBs defined */

/*
 *
 * UFB.ufbflg definitions
 *
 */
#define UFB_RA 1	/* reading is allowed */
#define UFB_WA 2	/* writing is allowed */
#define UFB_NC 4	/* no close */
#define UFB_FH 16	/* file handle */

/*
 *
 * External definitions
 *
 */

extern struct UFB _ufbs[NUFBS];
extern int _iomode,_nufbs;

struct UFB *chkufb(int);
#endif
